Tryton - Issues

 

Issue8252

Title Add subdivisions to match account tax rule
Priority feature Status resolved
Superseder Nosy List ced, pokoli, resteve, reviewbot, roundup-bot
Type feature request Components account_tax_rule_country
Assigned To ced Keywords patch, review
Reviews 257851003
View: 257851003

Created on 2019-04-03.09:49:02 by resteve, last changed by roundup-bot.

Files
File name Uploaded Type Edit Remove
account_tax_rule_country_subdivision.diff resteve, 2019-04-03.09:49:01 text/plain
Messages
New changeset 39a7529ec9e3 by Cédric Krier in branch 'default':
Add subdivision as criteria
https://hg.tryton.org/tryton-env/rev/39a7529ec9e3
New changeset c72071b493f7 by Cédric Krier in branch 'default':
Add subdivision as criteria
https://hg.tryton.org/modules/account_tax_rule_country/rev/c72071b493f7
review257851003 updated at https://codereview.tryton.org/257851003/#ps273681005
msg50963 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-07-30.15:16:13
I have implemented review257851003 which manage the subdivision tree and include tests.
msg48357 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-04-03.11:42:33
I mark it as invalid for two reasons:

- the discussion is far from being settle
- @resteve does not want to follow the contribution process (see issue8251)
msg48350 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-04-03.09:58:47
Some comments about the patch:

- You should add a CHANGELOG entry
- As subdivision is a tree I'm wondering if we should match also parent subdivisions. 

Following your use case from Canary Islands, Santa Cruz de Tenerife is a province which is child of Canary Islands. So when setting the subdivision as Canary Islands, it should match also when the address is from Santa Cruz de Tenerife
msg48349 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-04-03.09:55:10
Please follow http://www.tryton.org/develop 

and if you are going to work on the issue assign it to yourself
msg48348 (view) Author: [hidden] (resteve) Date: 2019-04-03.09:49:01
From https://discuss.tryton.org/t/add-subdivisiions-to-match-account-tax-rule/1290
History
Date User Action Args
2019-08-18 19:03:47roundup-botsetmessages: + msg51331
2019-08-18 19:03:42roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg51330
2019-07-30 15:33:56reviewbotsetnosy: + reviewbot
messages: + msg50964
2019-07-30 15:16:44pokolisettitle: Add subdivisiions to match account tax rule -> Add subdivisions to match account tax rule
2019-07-30 15:16:13cedsetstatus: closed -> testing
reviews: 257851003
messages: + msg50963
keyword: + review
assignedto: ced
2019-04-03 11:42:33cedsetstatus: chatting -> closed
nosy: + ced
messages: + msg48357
2019-04-03 09:58:47pokolisetmessages: + msg48350
2019-04-03 09:55:10pokolisetnosy: + pokoli
messages: + msg48349
2019-04-03 09:49:02restevecreate

Showing 10 items. Show all history (warning: this could be VERY long)